This discussion is archived
7 Replies Latest reply: Dec 26, 2012 9:04 PM by AdeeshFulay RSS

confirm no support for MSSQL 2008 before reverting to older EM version

JeriF Newbie
Currently Being Moderated
Before I resort to installing EM Grid Control (11.1.0.1), I want to confirm that I have correctly read that EM12C does NOT support monitoring of MSSQL 2008. I understand that MSSQL 2008 R2 is certified with EM12C but, it appears that monitoring the original MSSQL 2008 is not.

Also, I'm a bit nervous about using EM Grid Control since it appears to have been a one-and-only version. Would I be smarter to go back to one of the EM10 versions?

This will be a new install, not an upgrade, so I hate to start out with an outdated EM tool but, I have to be able to monitor MSSQL 2008.

TIA,

Jeri
  • 1. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    jstem1177 Explorer
    Currently Being Moderated
    Hello Jri,

    Good question. I'm living a night mare with Microsoft SQL Server targets. First and foremost I'm having serious issues with deploying a target.Furthermore, the configuration screens seem completely differenmt then what I've seen people configure.
    Can Oracle Put a latch on this issue --> WHAT VERSION of SQL Server are supported by the CURRENT plugin(12.1.0.2) EM12c? Seems that the one that you get from Plugins page is completely off from what "people" have been describing (a.k.a --> Since when is Database Role a required filed ??!!!!!)

    --> PATCH --> p14047236_112000_Generic.zip has a completely different configuration page then the current plugin you get (a.k.a Role (Optional). Actually I've been told to ignore all the errors thrown during the Add target and change it after with (Microsoft Sql Server --> Target Setup --> Monitoring Configuration). Still doesn't work!!!

    From what I know:
    2005 on 32 --> not supported
    2005 on 64 --> should work
    2008 on 32 --> no clue
    2008 on 64 --> should work
    2008R2 on 64 --> should work
    2012 --> not supported --> "MSSQL 2012 certification with EM 12c is currently underway, and will be completed in CY2013."

    Jan S.
  • 2. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    sxkumar Explorer
    Currently Being Moderated
    Are there any SRs open for this? If not, we really really need them to provide any help.
  • 3. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    JeriF Newbie
    Currently Being Moderated
    Yes, I had a P3 case open but closed it after two days with no activity, and also thinking that perhaps the question more appropriately belonged here than as an SR since at this point, I'm just trying to determine with certainty the right/best bits and pieces to install for use with MSSQL 2008.
  • 4. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    JeriF Newbie
    Currently Being Moderated
    I have received a response from MOS to my original SR which confirms that EM12C is not certified for monitoring MSSQL 2008. For those who may possibly be interested in clarification of other OS and/or MSSQL versions with various flavors of EM, I've included below the full SR response details:

    "The 12cR1 and 12cR2 Cloud Control are only certified to monitor two versions of Microsoft SQL Server : 2005 and 2008 R2
    The 12cR2 is certified with these 3 Windows OS versions : 7,2008 R2,2003 on 64-bit platform where as the 12cR2 is certified with 4 versions of Windows OS version: 7,2008 R2,2008,2003

    The 11g Grid Control is certified to monitor 7 versions of Microsoft SQL Server (including 2008) : 2008 R2 Cluster,2008 R2,2008 Cluster,2008,2005 Cluster,2005,2000
    Also 11g Grid Control certified with 4 versions of Windows platform : 7,2008,2003 R2,2003"

    The analyst who provided this information was also kind enough to open another SR on my behalf which will hopefully yield the answer to my other question- whether deploying 11g Grid Control is the best option for my environment or whether one of the EM10 versions might be a better choice. Unless someone else here is interested in that answer too, I won't update this post further with that information.

    Thanks, Jeri
  • 5. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    jstem1177 Explorer
    Currently Being Moderated
    Hello Jeri,

    Thanks.Good to know. I can now stop bothering with trying to get the 2008 SQL Server cluster working. Also its a grey zone when they use certified. Basically they should say do it work or not! End of story.

    I don't suppose there are any plans from Oracle to reproduce the support from Grid Control 11g?

    Jan S.
  • 6. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    JeriF Newbie
    Currently Being Moderated
    I don't know the answer to your question, Jan, but I can tell you that the fact that I needed to monitor MSSQL 2008 databases was not the only deal-breaker for using EM12c in my environment. I need to monitor PeopleSoft instances, and in particular some instances running on Tools 8.52. Seems that there is not a 12c PSEM agent for that version of Tools yet.

    Best advise I can give you is to make friends with the Certification Guides >:)

    Jeri
  • 7. Re: confirm no support for MSSQL 2008 before reverting to older EM version
    AdeeshFulay Explorer
    Currently Being Moderated
    MSSQL 2008 should work with the plug-in. We don't explicitly test with this database version anymore (we used to in the past) since most seem to have upgraded to 2008 R2.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points